% Pratulya Sivashankar, 2012
%
% Steps
%   1) Read paramaters from Excel ()
%   2) Save data as a .dat file
%   3) Call AlPassengerCars_Compute which gathers data and writes it back
%   to Excel
%

clear all
clc


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   1) Read data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% !!! Set path variable here so that Matlab knows exactly which
% Excel file to use:
path               = 'C:\Users\Pratulya\Desktop\Master Thesis\';
thisfilename       = 'Model Idea.xlsx';
datafilename       = strcat(path,thisfilename);
scenarios = xlsread(datafilename,'Scenarios','C3:L33');
[dummy, scenarionames] = xlsread(datafilename, 'Scenarios','B3:B33');
newpath            = strcat(path,'Scenario Results\');
mkdir(newpath);
resultfilename     = strcat(newpath,'Scenario Results.xlsx');

%% Read common technological data
datasheetname_in            = 'Basic Parameters';
GlobalTime = xlsread(datafilename,datasheetname_in,'C7:C107');
PopulationScenario   = xlsread(datafilename,datasheetname_in,'E7:G107');
CarsPerCapitaScenario   = xlsread(datafilename,datasheetname_in,'I7:K107');
LifetimeScenario   = xlsread(datafilename,datasheetname_in,'M7:O107');
Al_Cast_tot_Scenario  = xlsread(datafilename,datasheetname_in,'U7:V107');
Al_Wrought_tot_Scenario = xlsread(datafilename,datasheetname_in,'Q7:S107');
Al_Cast_recy_per_Scenario  = xlsread(datafilename,datasheetname_in,'X7:Y107');
Al_Wrought_recy_per_Scenario = xlsread(datafilename,datasheetname_in,'AA7:AB107');
Al_Cast_prim_ener  = xlsread(datafilename,datasheetname_in,'AF7:AF107');
Al_Wrought_prim_ener = xlsread(datafilename,datasheetname_in,'AD7:AD107');
Al_Cast_sec_ener  = xlsread(datafilename,datasheetname_in,'AJ7:AJ107');
Al_Wrought_sec_ener = xlsread(datafilename,datasheetname_in,'AH7:AH107');
Fuel_eff_Scenario = xlsread(datafilename,datasheetname_in,'AL7:AN107');
KilometrageScenario = xlsread(datafilename,datasheetname_in,'AP7:AR107');
Steel_tot = xlsread(datafilename,datasheetname_in,'AT7:AT107');
Steel_recy_per_Scenario = xlsread(datafilename,datasheetname_in,'AV7:AW107');
Steel_prim_ener = xlsread(datafilename,datasheetname_in,'AY7:AY107');
Steel_sec_ener = xlsread(datafilename,datasheetname_in,'BA7:BA107');

%% General Parameters Used:
Petrol_Energy = 34.2; %MJ/L
%GWP_Petrol = 0.679374 * 0.74 ; %kg CO2 eq /L (kg Co2/kg * avg. density of petrol)   Code:2378
GWP_Petrol = 0.0884 * Petrol_Energy ; % kg CO2 eq/MJ of petrol energy * Petrol Energy intensity = kg CO2/L
GWP_Steel_prim = 2.311326 + 0.6; %kg CO2 eq/kg produced using cold rolling +0.6 for fabrication
GWP_Steel_sec = GWP_Steel_prim/3 + 0.4; % a third of primary steel + 0.6 for fabrication (+0.4 here to include the +0.2 from the primary side)
GWP_Al_prim = 12.23226; % kg CO2 eq /kg produced   Code: 1755
GWP_Al_sec = 1.379254;  % Code: 1761
% Note: Aluminium GWP values do not include fabrication and semi-products

%% Variables to be used for computation and storing back to Excel
Results = zeros(101,1);
Header = cell(2,1);
Modellength = 101;
NoofScenarios = 31;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   2) Save data as a .dat file
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

save('modeldata.mat');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   3) Call AlPassengerCars_Compute which gathers data and writes it back
%   to Excel
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

AlPassengerCars_Compute

 
    


